Modify sticky filters - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service allows users with the ADMIN or PORTAL_ADMIN role to modify an existing set of sticky filters. The sticky filters parameters are replaced by the parameters sent in the request.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Method Endpoint
PUT
/api/admin/sticky-filters/{stickyFiltersId}
Path parameter Type Description
stickyFiltersId String The sticky filters set's ID.

Request example

The following example shows a JSON request body for this web service:

{
  "localizedData": [
    {
      "locale": "en-US",
      "displayName": "My filters set",
      "description": "Modified description of my filters set"
    },
    {
      "locale": "fr-FR",
      "displayName": "Mon set de filtres",
      "description": "Description de mon set de filtres"
    }
  ],
  "filters": {
    "or": [
      {
        "and": [
          {
            "key": "Door",
            "value": "Type1"
          },
          {
            "key": "Year",
            "value": "2026"
          }
        ]
      },
      {
        "and": [
          {
            "key": "Window",
            "value": "Type3"
          },
          {
            "key": "Year",
            "value": "2024"
          }
        ]
      }
    ]
  }
}
Field Type Required? Description
localizedData Array Yes An object containing the localized information for the sticky filters set.
locale String Yes Locale of the sticky filters set.
displayName String Yes The localized name of the sticky filters set.
description String No The localized description of the sticky filters set.
filters Object No An object containing the sticky filters.
or / and Array No An object containing the metadata keys and values to combine with an OR or AND operator to apply as sticky filters.
key String No A metadata key.
value String No A metadata value.
not Object No An object containing the metadata key and value to apply as sticky filters with a NOT operator.
Return code Description
200 OK Sticky filters have been modified.
400 BAD REQUEST Invalid JSON request body, or the action requested is impossible (for example, creating a set of sticky filters with an already existing ID).
401 UNAUTHORIZED Authentication is required.

For a comprehensive list of all possible return codes, see Return codes.